Configuration
1 API call in this section.
Get Customer Portal Configuration
Express Shipping / Customer / Configuration
GET
/express-shipping/customer/config?tenant_id={{tenant_id}}&language=enGet only the configuration JSON for the tenant's express shipping service. Authentication: - Requires valid Bearer token OR X-API-Key Query Parameters: - tenant_id (required if not provided by auth context) - language (optional): Response language (en, ar, ku)
Send a bearer token in the Authorization header for an authenticated OnDi user session.
Request
curl
1curl --request GET "$ONDI_BASE_URL/express-shipping/customer/config?tenant_id={{tenant_id}}&language=en" \2 --header "Authorization: Bearer {{access_token}}"Query parameters
tenant_idOptionalquery string
{{tenant_id}}
Tenant identifier
languageOptionalquery string
en
Preferred language for response messages (en, ar, ku)
Headers
AuthorizationOptionalheader string
Bearer {{access_token}}
Responses
Success - Configuration Only200OK
Response body
json
1{2 "success": true,3 "message": "Configuration retrieved successfully",4 "configuration": {5 "brand_settings": {6 "brand": {7 "name": {8 "ar": "Amazon",9 "en": "Amazon",10 "ku": "Amazon"11 },12 "slug": "",13 "base_url": "https://portal.brand.com",14 "direction": "ltr",15 "default_locale": "en",16 "supported_locales": [17 "en",18 "ar",19 "kr"20 ]21 },22 "theme": {23 "colors": {24 "card": "hsl(0 0% 100%)",25 "ring": "hsl(222.2 47.4% 11.2%)",26 "input": "hsl(214.3 31.8% 91.4%)",27 "muted": "hsl(210 40% 96.1%)",28 "accent": "hsl(210 40% 96.1%)",29 "border": "hsl(214.3 31.8% 91.4%)",30 "chart-1": "hsl(209 100% 60%)",31 "chart-2": "hsl(203 100% 50%)",32 "chart-3": "hsl(266 100% 60%)",33 "chart-4": "hsl(126 100% 60%)",34 "chart-5": "hsl(116 100% 60%)",35 "popover": "hsl(0 0% 100%)",36 "primary": "#BC1212",37 "sidebar": "hsl(0 0% 100%)",38 "secondary": "hsl(210 40% 96.1%)",39 "background": "hsl(0 0% 100%)",40 "foreground": "hsl(0 0% 10%)",41 "destructive": "hsl(0 84.2% 60.2%)",42 "sidebar-ring": "hsl(222.2 47.4% 11.2%)",43 "sidebar-accent": "hsl(210 40% 96.1%)",44 "sidebar-border": "hsl(214.3 31.8% 91.4%)",45 "card-foreground": "hsl(0 0% 10%)",46 "sidebar-primary": "hsl(222.2 47.4% 11.2%)",47 "muted-foreground": "hsl(215.4 16.3% 46.9%)",48 "accent-foreground": "hsl(222.2 47.4% 11.2%)",49 "popover-foreground": "hsl(0 0% 10%)",50 "primary-foreground": "hsl(210 40% 98%)",51 "sidebar-foreground": "hsl(0 0% 10%)",52 "secondary-foreground": "hsl(222.2 47.4% 11.2%)",53 "destructive-foreground": "hsl(210 40% 98%)",54 "sidebar-accent-foreground": "hsl(222.2 47.4% 11.2%)",55 "sidebar-primary-foreground": "hsl(210 40% 98%)"56 }57 },58 "assets": {59 "logos": {60 "favicon": "https://ksssjpqtoynogyuezjxx.supabase.co/storage/v1/object/public/tenants/a1b2c3d4-e5f6-4321-8901-123456789abc/brand/painting-mountain-lake-with-mountain-background.jpg/1756629024617-1a3c19e5-37b5-4879-a20e-7822186e141e",61 "logo_alt": "Brand logo",62 "footer_dark": "",63 "header_dark": "",64 "footer_light": "https://ksssjpqtoynogyuezjxx.supabase.co/storage/v1/object/public/tenants/a1b2c3d4-e5f6-4321-8901-123456789abc/brand/Ondi%20logo%201024%20by%201024%20(1).jpg/1756707864850-1a3c19e5-37b5-4879-a20e-7822186e141e",65 "header_light": "https://ksssjpqtoynogyuezjxx.supabase.co/storage/v1/object/public/tenants/a1b2c3d4-e5f6-4321-8901-123456789abc/brand/Ondi%20logo%201024%20by%201024%20(1).jpg/1756707864850-1a3c19e5-37b5-4879-a20e-7822186e141e"66 }67 },68 "footer": {69 "legal": {70 "terms_url": "",71 "use_global": true,72 "cookie_policy_url": "",73 "privacy_policy_url": ""74 },75 "style": "columns",76 "address": "full address",77 "columns": [78 {79 "links": [80 {81 "href": "/about",82 "label": "About",83 "external": false84 },85 {86 "href": "/careers",87 "label": "Careers",88 "external": false89 }90 ],91 "title": "Company"92 },93 {94 "links": [95 {96 "href": "/help",97 "label": "Help Center",98 "external": false99 },100 {101 "href": "/contact",102 "label": "Contact",103 "external": false104 }105 ],106 "title": "Resources"107 }108 ],109 "social_links": {110 "github": "",111 "tiktok": "",112 "discord": "",113 "twitter": "",114 "youtube": "",115 "facebook": "",116 "linkedin": "",117 "telegram": "",118 "whatsapp": "",119 "instagram": ""120 },121 "copyright_text": "© 2 {{brand_name}}. All rights reserved.",122 "right_side_text": ""123 },124 "contact": {125 "email": "support@brand.com",126 "phone": "",127 "address": "full address",128 "support_hours": "Mon–Fri 9:00–17:00"129 },130 "contact_form": {131 "destination": {132 "cc": [133 "arun@gmail.com"134 ],135 "to": [136 "arun@builderking.io"137 ],138 "bcc": [139 "dfdasf@gmail.com"140 ],141 "type": "email",142 "webhook_url": ""143 }144 }145 }146 },147 "configured": true148}